Summary:	Shell scripts to manage DocBook documents
Name: 		docbook-utils
Version: 	0.6.14
Release:	%mkrel 14
Url:		ftp://sources.redhat.com/pub/docbook-tools/new-trials/
Source0:	ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%name-%version.tar.bz2
Source1:	db2html
Source2:	docbook2man-spec.pl
#gw prevent error with new grep:
#https://qa.mandriva.com/show_bug.cgi?id=61127
Patch0:		docbook-utils-0.6.14-grep2.7.patch
Group:		Publishing
License:	GPLv2+

BuildRequires:	docbook-style-dsssl >= 1.72
BuildRequires:	docbook-dtd31-sgml
BuildArch:	noarch
Requires:	docbook-style-dsssl >= 1.72
Requires:	docbook-dtds
Requires:	jadetex >= 2.5
Requires:	latex
Requires:	perl-SGMLSpm >= 1.03ii
Requires:	which
Obsoletes:	sgml-tools
Provides:	sgml-tools

%description
This package contains scripts are for easy conversion from DocBook
files to other formats (for example, HTML, RTF, and PostScript), and
for comparing SGML files.

%package pdf
Requires: dvips jadetex >= 2.5
Requires: docbook-utils = %{version}
Group: Publishing
Obsoletes: stylesheets-db2pdf
Provides: stylesheets-db2pdf
Summary: A script for converting DocBook documents to PDF format
URL: ftp://sources.redhat.com/pub/docbook-tools/new-trials/
Conflicts: %{name} < 0.6.14-3mdk

%description pdf
This package contains a script for converting DocBook documents to
PDF format.


%prep
%setup -q
%apply_patches

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/man{1,7}
for sec in 1 7; do cp -af doc/man/*.$sec $RPM_BUILD_ROOT/%_mandir/man$sec; done

%makeinstall_std

for util in dvi html pdf ps rtf man
do
        ln -s docbook2$util $RPM_BUILD_ROOT%{_bindir}/db2$util
        ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2$util.1
done

# db2html is not just a symlink, as it has to create the output directory
rm -f $RPM_BUILD_ROOT%{_bindir}/db2html
install -c -m 775 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/db2html
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl

# clean install html files
rm -rf $RPM_BUILD_ROOT/%_prefix/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING TODO doc/HTML/*.html
%{_bindir}/jw
%{_bindir}/docbook2dvi
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2ps
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%{_bindir}/db2dvi
%attr(0755,root,root) %{_bindir}/db2html
%{_bindir}/db2ps
%{_bindir}/db2rtf
%{_bindir}/db2man
%{_bindir}/sgmldiff
%dir %{_datadir}/sgml/docbook/utils-%{version}
%dir %{_datadir}/sgml/docbook/utils-%{version}/backends
%{_datadir}/sgml/docbook/utils-%{version}/backends/dvi
%{_datadir}/sgml/docbook/utils-%{version}/backends/html
%{_datadir}/sgml/docbook/utils-%{version}/backends/man
%{_datadir}/sgml/docbook/utils-%{version}/backends/pdf
%{_datadir}/sgml/docbook/utils-%{version}/backends/ps
%{_datadir}/sgml/docbook/utils-%{version}/backends/rtf
%{_datadir}/sgml/docbook/utils-%{version}/backends/tex
%{_datadir}/sgml/docbook/utils-%{version}/backends/texi
%{_datadir}/sgml/docbook/utils-%{version}/backends/txt
%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
%dir %{_datadir}/sgml/docbook/utils-%{version}/frontends
%{_datadir}/sgml/docbook/utils-%{version}/frontends/docbook
%dir %{_datadir}/sgml/docbook/utils-%{version}/helpers
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2texi-spec.pl
%exclude %{_mandir}/man1/docbook2pdf.*
%{_mandir}/man1/*
%{_mandir}/man7/*


%files pdf
%defattr (-,root,root)
%{_bindir}/docbook2pdf
%{_bindir}/db2pdf
%{_mandir}/man1/docbook2pdf*


%changelog
* Fri Mar 25 2011 ahmad <ahmad> 0.6.14-14.mga1
+ Revision: 77487
- add requires on docbook-dtds (Fedora)

* Fri Mar 04 2011 boklm <boklm> 0.6.14-13.mga1
+ Revision: 64055
- remove requires on tetex to rebuild using texlive

* Mon Jan 10 2011 pterjan <pterjan> 0.6.14-12.mga1
+ Revision: 5369
- imported package docbook-utils

  + blino <blino>
    - remove old conflict
    - imported package docbook-utils


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.6.14-12mdv2011.0
+ Revision: 581614
- fix for new grep (bug #61127)

* Wed Jan 13 2010 Jérôme Brenier <incubusss@mandriva.org> 0.6.14-11mdv2010.1
+ Revision: 491012
- replace the docbook2man-spec.pl file by a corrected one from Fedora
- fix license tag

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6.14-10mdv2010.0
+ Revision: 413373
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.6.14-9mdv2009.1
+ Revision: 350833
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.6.14-8mdv2009.0
+ Revision: 220679
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.6.14-7mdv2008.1
+ Revision: 149207
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.14-6mdv2008.0
+ Revision: 83600
- rebuild


* Wed Feb 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.14-5mdv2007.0
+ Revision: 130195
- create db2man symlink
- %%mkrel
- Import docbook-utils

* Tue May 23 2006 Camille Begnis <camille@mandriva.com> 0.6.14-4mdk
- rebuild

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.6.14-3mdk 
- Move docbook2pdf manpage to subpackage

* Fri Apr 22 2005 Camille Begnis <camille@mandriva.com> 0.6.14-2mdk
- rebuild

